Skip to main content
PATCH
/
v2
/
projects
/
{project_id}
Patch project
curl --request PATCH \
  --url https://api.rask.ai/v2/projects/{project_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "num_speakers": 123,
  "voice": {}
}
'
import requests

url = "https://api.rask.ai/v2/projects/{project_id}"

payload = {
"name": "<string>",
"num_speakers": 123,
"voice": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', num_speakers: 123, voice: {}})
};

fetch('https://api.rask.ai/v2/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "status_updated_at": "2023-11-07T05:31:56Z",
  "cover": "<string>",
  "src_lang": "<string>",
  "dst_lang": "<string>",
  "num_speakers": 123,
  "source_url": "<string>",
  "duration": 123,
  "original_duration": 123,
  "glossary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "glossary_version": 123,
  "original_video": "<string>",
  "transcript_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "voiceover": "<string>",
  "translated_video": "<string>",
  "translated_audio": "<string>",
  "voice": {},
  "translation_srt_path": "<string>",
  "translation_vtt_path": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

ID of the project patched

Body

application/json
name
string | null

Project name

num_speakers
integer | null

Number of speakers in the project

voice
Project voices · object | null

Map with speaker identifiers (e.g. SPEAKER_00) as keys and voice ids as values

Response

Patched project

id
string<uuid>
required

Project ID

name
string
required

Project name

source_type
enum<string>
required

Source of uploaded content

Available options:
youtube,
gdrive,
vimeo,
s3,
local,
any
created_at
string<date-time>
required

Date and time of project creation

status
enum<string> | null

Current project status

Available options:
created,
uploading,
uploaded,
upload_failed,
transcription_started,
transcription_done,
transcription_failed,
transcribe_segments_started,
transcribe_segments_done,
transcribe_segments_failed,
separate_background_started,
separate_background_done,
separate_background_failed,
determine_speakers_started,
determine_speakers_done,
determine_speakers_failed,
voice_suggest_started,
voice_suggest_done,
voice_suggest_failed,
translation_started,
translation_done,
translation_failed,
voice_update_started,
voice_update_done,
voice_update_failed,
transcript_edited,
voice_edited,
voiceover_started,
voiceover_done,
voiceover_failed,
merging_started,
merging_done,
merging_failed,
failed,
no_audio,
no_words,
forbidden_link
status_updated_at
string<date-time> | null

Date and time of the last project status update

cover
string | null

Cover image of video specified

src_lang
string | null

Project source language

dst_lang
string

Project destination language

num_speakers
integer | null

Number of speakers in the project

source_url
string | null

Video source url if media has been created by link

duration
integer | null

Video duration after limits applied

original_duration
integer | null

Original video duration

glossary_id
string<uuid> | null

Glossary ID (if glossary is used)

glossary_version
integer | null

Glossary version (if glossary is used)

original_video
string | null

Link to the original video stored

transcript_id
string<uuid> | null

Project transcription ID

voiceover
string | null

Link to the translated audio with voiceover only

translated_video
string | null

Link to the translated video

translated_audio
string | null

Link to the translated audio (voiceover with background)

voice
Voices · object | null

Pull of voices detected

translation_srt_path
string | null

Link to the translation .srt

translation_vtt_path
string | null

Link to the translation .vtt